| Home | Libraries | People | FAQ | More

##### basic_signal_set::add (1 of 2 overloads)

Add a signal to a signal_set.

    void add(
        int signal_number);

This function adds the specified signal to the set. It has no effect if the signal is already in the set.

###### Parameters

signal_number

  The signal to be added to the set.

###### Exceptions

boost::system::system_error

  Thrown on failure.